<?php
/**
 * @class level_point
 * @author 퍼니엑스이 (admin@funnyxe.com)
 * @brief 레벨별 포인트 출력 위젯
 * @version 1.0
 **/

class level_point
{

	/**
	 * @brief 위젯의 실행 부분
	 *
	 * ./widgets/위젯/conf/info.xml 에 선언한 extra_vars를 args로 받는다
	 * 결과를 만든후 print가 아니라 return 해주어야 한다
	 **/

	function proc($args)
	{
		// 설정 정보 가져오기
		$oModuleModel = getModel('module');
		$point_config = $oModuleModel->getModuleConfig('point');

		$widget_info = new stdClass;

		// 설정 변수 지정
		$widget_info->point_config = $point_config;
		Context::set('widget_info', $widget_info);

		// 템플릿의 스킨 경로를 지정 (skin, colorset에 따른 값을 설정)
		$tpl_path = sprintf('%sskins/%s', $this->widget_path, $args->skin);
		Context::set('colorset', $args->colorset);

		// 템플릿 컴파일
		$oTemplate = TemplateHandler::getInstance();
		return $oTemplate->compile($tpl_path, 'list');
	}
}
